org.apache.creadur.tentacles.filter

## Class Filters

- java.lang.Object
- - org.apache.creadur.tentacles.filter.Filters

    public class Filters
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Filters()`

### Method Summary

All Methods Instance Methods Concrete Methods
`FileFilter` `archivesInPath(String repositoryPathNameFilter)`
`FileFilter` `filesOnly()`
`FileFilter` `legalDocumentsDeclaredIn(File contents)`
`FileFilter` `legalDocumentsUndeclaredIn(File contents)`
`FileFilter` `legalOnly()`
`FileFilter` `licensesDeclaredIn(File contents)`
`FileFilter` `licensesOnly()`
`FileFilter` `noticesDeclaredIn(File contents)`
`FileFilter` `noticesOnly()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Filters

    public Filters()

### Method Detail

#### filesOnly

    public FileFilter filesOnly()

#### licensesOnly

    public FileFilter licensesOnly()

#### noticesOnly

    public FileFilter noticesOnly()

#### legalOnly

    public FileFilter legalOnly()

#### licensesDeclaredIn

    public FileFilter licensesDeclaredIn(File contents)

#### noticesDeclaredIn

    public FileFilter noticesDeclaredIn(File contents)

#### legalDocumentsUndeclaredIn

    public FileFilter legalDocumentsUndeclaredIn(File contents)

#### legalDocumentsDeclaredIn

    public FileFilter legalDocumentsDeclaredIn(File contents)

#### archivesInPath

    public FileFilter archivesInPath(String repositoryPathNameFilter)